The MongoDB\Driver\Query class

- « MongoDB\Driver\Command::__construct

- MongoDB\Driver\Query::__construct »

- PHP Manual
- MongoDB\Driver
- The MongoDB\Driver\Query class

# The MongoDB\Driver\Query class

(mongodb >=1.0.0)

## Introduction

The MongoDB\Driver\Query class is a value object that represents a database query.

## Class synopsis

final class MongoDB\Driver\Query {
/* Methods */
final public __construct(array|object `$filter`, ?array `$queryOptions` = `null`)
}

## Table of Contents

- MongoDB\Driver\Query::__construct — Create a new Query